/* $Id: DeskTopToolbar.java 428 2011-10-17 00:45:55Z minao $ */
package smart_gs.reasoning_web.swingui;

import javax.swing.JButton;
import javax.swing.JToolBar;


@SuppressWarnings("serial")
public class DeskTopToolbar extends JToolBar {
	
	private JButton upButton;
	private JButton upWithElementButton;
	
	private JButton showElementButton;
	private JButton showMemoButton;
	private JButton deleteSelectionsButton;
	
	private JButton globalViewButton;
	
	public DeskTopToolbar(){
		super();
		
		this.upButton = new JButton("Up");
		this.upButton.addActionListener(new UpAction());
		this.add(this.upButton);

		this.upWithElementButton = new JButton("Up With Selected Elements");
		this.upWithElementButton.addActionListener(new UpWithSelectedElementsAction());
		this.add(this.upWithElementButton);

//		this.registerButton = new JButton("Register Element");
//		this.registerButton.addActionListener(new RegisterElementAction());
//		this.add(this.registerButton);
		
		this.showElementButton = new JButton("Show Element");
		this.showElementButton.addActionListener(new ShowElementAction());
		this.add(this.showElementButton);
		
		this.showMemoButton = new JButton("Show Memo");
		this.showMemoButton.addActionListener(new ShowMemoAction());
		this.add(this.showMemoButton);
		
		this.deleteSelectionsButton = new JButton("Delete Selections");
		this.deleteSelectionsButton.addActionListener(new DeleteSelectionsAction());
		this.add(this.deleteSelectionsButton);
		
		this.addSeparator();
		
		this.globalViewButton = new JButton("Connection View");
		this.globalViewButton.addActionListener(new ShowGlobalViewAction());
		this.add(this.globalViewButton);
		
		
	}
}
